<!-- <p>taste-the-world works!</p> -->


<div class="container">
    <div class="row m-4">
      <div class="col-12 text-center">
        <h1 class="text-size">Welcome to taste the World!</h1>
      </div>
    </div>
    <div class="row">
      <div class="col-12">
        <app-search></app-search>
      </div>
    </div>
    <div class="row">
      <div class="col-12">
        <button [disabled]="this.dataTranfer.createFood" mat-button (click)="addNew()" *ngIf="!this.dataTranfer.createCountry">Add New</button>
      </div>
      <div class="col-12">
        <button [disabled]="this.dataTranfer.createFood" mat-button (click)="cancel()" *ngIf="this.dataTranfer.createCountry">Cancel</button>
      </div>
    </div>
    <div class="row" *ngIf="this.dataTranfer.createCountry">
      <div class="col-12">
        <app-country></app-country>
      </div>
    </div>
    <div class="row" *ngIf="this.dataTranfer.createFood">
      <div class="col-12">
        <app-food></app-food>
      </div>
    </div>
    <div class="row" *ngIf="this.dataTranfer.createIngredient">
      <div class="col-12">
        <app-ingredient></app-ingredient>
      </div>
    </div>
  </div>
  